﻿SystemOrganization addCategory: #'Mongost-Squeak'!

MgPortableUtil subclass: #MgSqPortableUtil
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Mongost-Squeak'!

!MgSqPortableUtil methodsFor: 'converting' stamp: 'mu 6/21/2011 15:01'!
bytesFromString: aString
	aString isWideString ifTrue: [^aString squeakToUtf8 asByteArray].
	^aString asByteArray! !

!MgSqPortableUtil methodsFor: 'creation' stamp: 'mu 6/21/2011 15:03'!
newYear: yearInteger day: dayInteger
	^DateAndTime year: yearInteger day: dayInteger! !

!MgSqPortableUtil methodsFor: 'creation' stamp: 'mu 6/21/2011 15:02'!
socketStreamHost: aString port: anInteger 
	| result |
	result := SocketStream openConnectionToHostNamed: aString port: anInteger.
	result binary.
	^result! !

!MgSqPortableUtil methodsFor: 'converting' stamp: 'mu 6/21/2011 15:01'!
stringFromBytes: aByteArray
	^aByteArray asString utf8ToSqueak ! !

!DateAndTime methodsFor: '*Mongost-Squeak-BSON' stamp: 'KentBeck 2/11/2010 18:21'!
bsonTypeCode
	^9! !

!DateAndTime methodsFor: '*Mongost-Squeak-BSON' stamp: 'KentBeck 2/11/2010 18:25'!
writeBSONOn: aBSON 
	aBSON nextTimestampPut: self! !
